Last Comment Bug 849024 - Adding a comment to a bug causes an internal error
: Adding a comment to a bug causes an internal error
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: Needinfo (show other bugs)
: Production
: All All
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-07 15:05 PST by Justin Crawford [:hoosteeno] [:jcrawford]
Modified: 2013-03-12 08:53 PDT (History)
16 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Bugzilla error message (23.23 KB, image/png)
2013-03-07 15:05 PST, Justin Crawford [:hoosteeno] [:jcrawford]
no flags Details
Patch to fix error when checking for matching needinfo requestees (v1) (883 bytes, patch)
2013-03-07 15:26 PST, David Lawrence [:dkl]
glob: review-
Details | Diff | Splinter Review
Patch to fix error when checking for matching needinfo requestees (v2) (919 bytes, patch)
2013-03-08 10:30 PST, David Lawrence [:dkl]
glob: review+
Details | Diff | Splinter Review

Description Justin Crawford [:hoosteeno] [:jcrawford] 2013-03-07 15:05:01 PST
Created attachment 722510 [details]
Bugzilla error message

+++ This bug was initially created as a clone of Bug #848218 +++

I'm attaching a screenshot of an internal error ("Can't call method "login" on an undefined value") I'm receiving from Bugzilla when trying to add a comment to a bug. This hasn't happened on any other bugs I've updated today, so there must be something about this particular circumstance.

Bug: https://bugzilla.mozilla.org/show_bug.cgi?id=836535
Prior comment before this attempt: Comment 1, included a needsinfo (from anyone)
Attempted comment: Some text plus a needsinfo (from someone in particular, input into "other" box)
Comment 1 Dave Miller [:justdave] (justdave@bugzilla.org) 2013-03-07 15:23:03 PST
Are you using Persona to log in?
Comment 2 David Lawrence [:dkl] 2013-03-07 15:23:40 PST
Confirmed a bug. Patch coming.
Comment 3 David Lawrence [:dkl] 2013-03-07 15:26:55 PST
Created attachment 722520 [details] [diff] [review]
Patch to fix error when checking for matching needinfo requestees (v1)
Comment 4 Justin Crawford [:hoosteeno] [:jcrawford] 2013-03-07 15:27:52 PST
Re: comment 1, I'm pretty sure I used Persona to login. It was days ago; can't recall exactly.
Comment 5 Byron Jones ‹:glob› 2013-03-07 21:35:32 PST
not a regression, just a bug which wasn't encountered/reported until just after the upgrade :)
Comment 6 Byron Jones ‹:glob› 2013-03-07 21:39:24 PST
Comment on attachment 722520 [details] [diff] [review]
Patch to fix error when checking for matching needinfo requestees (v1)

if you have a needinfo directed at you, and you make a comment and request needinfo from anyone, you get:

Use of uninitialized value in string eq at ./extensions/Needinfo/Extension.pm line 115.

also, this patch contains trailing whitespace.
Comment 7 David Lawrence [:dkl] 2013-03-08 10:30:25 PST
Created attachment 722869 [details] [diff] [review]
Patch to fix error when checking for matching needinfo requestees (v2)
Comment 8 Byron Jones ‹:glob› 2013-03-11 23:55:18 PDT
Comment on attachment 722869 [details] [diff] [review]
Patch to fix error when checking for matching needinfo requestees (v2)

r=glob
Comment 9 David Lawrence [:dkl] 2013-03-12 08:53:42 PDT
Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2         
modified extensions/Needinfo/Extension.pm
Committed revision 8649.

Note You need to log in before you can comment on or make changes to this bug.